Page MenuHomePhabricator

Drop database table "hashs" from Wikimedia wikis
Closed, ResolvedPublic

Description

On at least enwiki, there is a "hashs" database table that appears to be unused and unneeded. It also is an apparent misspelling ("hashes" is the plural of "hash" in English).

Its schema:

MariaDB [enwiki_p]> describe hashs;
+--------------+-----------------+------+-----+---------+-------+
| Field        | Type            | Null | Key | Default | Extra |
+--------------+-----------------+------+-----+---------+-------+
| hs_nstitle   | varbinary(48)   | YES  |     | NULL    |       |
| hs_timestamp | varbinary(14)   | YES  |     | NULL    |       |
| hs_old_id    | int(8) unsigned | YES  |     | NULL    |       |
| hs_hash      | varbinary(48)   | YES  |     | NULL    |       |
| hs_user_text | varbinary(255)  | YES  |     | NULL    |       |
+--------------+-----------------+------+-----+---------+-------+
5 rows in set (0.02 sec)

This database table should be dropped from all Wikimedia wikis.

Details

Reference
bz52927

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:50 AM
bzimport set Reference to bz52927.

Dropped from all wikis.

Legoktm reopened this task as Open.Jan 5 2015, 9:59 PM
Legoktm added a subscriber: Legoktm.

Re-opening, Yuvi found this table on a bunch of wikis. There's a list at /home/legoktm/hashs.yaml on terbium.

Krenair set Security to None.
Krenair added a subscriber: Krenair.
chasemp added a subscriber: chasemp.

Re-opening, Yuvi found this table on a bunch of wikis. There's a list at /home/legoktm/hashs.yaml on terbium.

krenair@terbium:~$ cat /home/legoktm/hashs.yaml
cat: /home/legoktm/hashs.yaml: No such file or directory

I must have accidentally deleted it :( Yuvi generated it with some script...maybe he could re-generate it?

You only need to run the following on each master in order to figure out the databases with such table:

select TABLE_SCHEMA from information_schema.TABLES WHERE TABLE_NAME = 'hashs';

I think some codfw slaves should do, no need for master, assuming the whole databases are replicated:

1krenair@terbium:~$ mysql -u wikiadmin -p`wikiadmin_pass` -h db2034.codfw.wmnet -D information_schema -s
2mysql:wikiadmin@db2034.codfw.wmnet [information_schema]> select table_schema from information_schema.tables where table_name = 'hashs';
3mysql:wikiadmin@db2034.codfw.wmnet [information_schema]> exit
4krenair@terbium:~$ mysql -u wikiadmin -p`wikiadmin_pass` -h db2035.codfw.wmnet -D information_schema -s
5mysql:wikiadmin@db2035.codfw.wmnet [information_schema]> select table_schema from information_schema.tables where table_name = 'hashs';
6table_schema
7bgwiktionary
8enwikiquote
9enwiktionary
10mysql:wikiadmin@db2035.codfw.wmnet [information_schema]> exit
11krenair@terbium:~$ mysql -u wikiadmin -p`wikiadmin_pass` -h db2036.codfw.wmnet -D information_schema -s
12mysql:wikiadmin@db2036.codfw.wmnet [information_schema]> select table_schema from information_schema.tables where table_name = 'hashs';
13table_schema
14aawikibooks
15aawiktionary
16abwiktionary
17afwikibooks
18afwikiquote
19afwiktionary
20akwikibooks
21akwiktionary
22alswikibooks
23alswikiquote
24alswiktionary
25amwikiquote
26amwiktionary
27angwikibooks
28angwikiquote
29angwiktionary
30anwiktionary
31arwikibooks
32arwikiquote
33arwiktionary
34astwikibooks
35astwikiquote
36astwiktionary
37aswikibooks
38aswiktionary
39avwiktionary
40aywikibooks
41aywiktionary
42azwikibooks
43azwikiquote
44azwiktionary
45bawikibooks
46bawiktionary
47bewikibooks
48bewikiquote
49bewiktionary
50bgwikibooks
51bgwikiquote
52bhwiktionary
53biwikibooks
54biwiktionary
55bmwikibooks
56bmwikiquote
57bmwiktionary
58bnwikibooks
59bnwiktionary
60bowikibooks
61bowiktionary
62brwiktionary
63bswikibooks
64bswikiquote
65bswiktionary
66cawikibooks
67cawikiquote
68cawiktionary
69chrwiktionary
70chwikibooks
71chwiktionary
72cowikibooks
73cowikiquote
74cowiktionary
75crwikiquote
76crwiktionary
77csbwiktionary
78cswikibooks
79cswikiquote
80cswiktionary
81cvwikibooks
82cywikibooks
83cywikiquote
84cywiktionary
85dawikibooks
86dawikiquote
87dawiktionary
88dewikibooks
89dewikinews
90dewikiquote
91dewiktionary
92dkwikibooks
93dkwiktionary
94dvwiktionary
95dzwiktionary
96elwikibooks
97elwikiquote
98elwiktionary
99enwikibooks
100enwikinews
101eowikibooks
102eowikiquote
103eowiktionary
104eswikibooks
105eswikiquote
106eswiktionary
107etwikibooks
108etwikiquote
109etwiktionary
110euwikibooks
111euwikiquote
112euwiktionary
113fawikibooks
114fawikiquote
115fawiktionary
116fiwikibooks
117fiwikiquote
118fiwiktionary
119fjwiktionary
120fowiktionary
121frwikibooks
122frwikiquote
123fywikibooks
124fywiktionary
125gawikibooks
126gawikiquote
127gawiktionary
128gdwiktionary
129glwikibooks
130glwikiquote
131glwiktionary
132gnwikibooks
133gnwiktionary
134gotwikibooks
135guwikibooks
136guwikiquote
137guwiktionary
138gvwiktionary
139hawiktionary
140hewikibooks
141hewikiquote
142hewikisource
143hewiktionary
144hiwikibooks
145hiwikiquote
146hiwiktionary
147hrwikibooks
148hrwikiquote
149hrwiktionary
150huwikibooks
151huwikiquote
152huwiktionary
153hywikibooks
154hywikiquote
155hywiktionary
156iawikibooks
157iawiktionary
158idwikibooks
159idwikiquote
160idwiktionary
161iewikibooks
162iewiktionary
163ikwiktionary
164iowiktionary
165iswikibooks
166iswikiquote
167iswiktionary
168itwikibooks
169itwikiquote
170itwiktionary
171iuwiktionary
172jawikibooks
173jawikiquote
174jawiktionary
175jbowiktionary
176jvwiktionary
177kawikibooks
178kawikiquote
179kawiktionary
180kkwikibooks
181kkwikiquote
182kkwiktionary
183klwiktionary
184kmwikibooks
185kmwiktionary
186knwikibooks
187knwikiquote
188knwiktionary
189kowikibooks
190kowikiquote
191kowiktionary
192krwikiquote
193kswikibooks
194kswikiquote
195kswiktionary
196kuwikibooks
197kuwikiquote
198kuwiktionary
199kwwikiquote
200kwwiktionary
201kywikibooks
202kywikiquote
203kywiktionary
204lawikibooks
205lawikiquote
206lawiktionary
207lbwikibooks
208lbwikiquote
209lbwiktionary
210liwiktionary
211lnwikibooks
212lnwiktionary
213lowiktionary
214ltwikibooks
215ltwikiquote
216ltwiktionary
217lvwikibooks
218lvwiktionary
219mgwikibooks
220mgwiktionary
221mhwiktionary
222miwikibooks
223miwiktionary
224mkwikibooks
225mkwiktionary
226mlwikibooks
227mlwikiquote
228mlwiktionary
229mnwikibooks
230mnwiktionary
231mowiktionary
232mrwikibooks
233mrwikiquote
234mrwiktionary
235mswikibooks
236mswiktionary
237mtwiktionary
238mywikibooks
239mywiktionary
240nahwikibooks
241nahwiktionary
242nawikibooks
243nawikiquote
244nawiktionary
245ndswikibooks
246ndswikiquote
247ndswiktionary
248newikibooks
249newiktionary
250nlwikibooks
251nlwikiquote
252nlwiktionary
253nnwikiquote
254nnwiktionary
255nowikibooks
256nowikiquote
257nowiktionary
258ocwikibooks
259ocwiktionary
260omwiktionary
261orwiktionary
262pawikibooks
263pawiktionary
264piwiktionary
265plwikibooks
266plwikiquote
267plwiktionary
268pswikibooks
269pswiktionary
270ptwikibooks
271ptwikiquote
272ptwiktionary
273quwikibooks
274quwikiquote
275quwiktionary
276rmwikibooks
277rmwiktionary
278rnwiktionary
279roa_rupwiktionary
280rowikibooks
281rowikiquote
282rowiktionary
283ruwikibooks
284ruwikiquote
285ruwiktionary
286rwwiktionary
287sawikibooks
288sawiktionary
289scnwiktionary
290scwiktionary
291sdwiktionary
292sewikibooks
293sgwiktionary
294shwiktionary
295simplewikibooks
296simplewikiquote
297simplewiktionary
298siwikibooks
299siwiktionary
300skwikibooks
301skwikiquote
302skwiktionary
303slwikibooks
304slwikiquote
305slwiktionary
306smwiktionary
307snwiktionary
308sowiktionary
309sqwikibooks
310sqwikiquote
311sqwiktionary
312srwikibooks
313srwikiquote
314srwiktionary
315sswiktionary
316stwiktionary
317suwikibooks
318suwikiquote
319suwiktionary
320svwikibooks
321svwikiquote
322svwiktionary
323swwikibooks
324swwiktionary
325tawikibooks
326tawikiquote
327tawiktionary
328tewikibooks
329tewikiquote
330tewiktionary
331tgwiktionary
332thwikibooks
333thwikiquote
334thwiktionary
335tiwiktionary
336tkwikibooks
337tkwikiquote
338tkwiktionary
339tlhwiktionary
340tlwikibooks
341tlwiktionary
342tnwiktionary
343tokiponawikibooks
344tokiponawikiquote
345tokiponawiktionary
346towiktionary
347tpiwiktionary
348trwikibooks
349trwikiquote
350trwiktionary
351tswiktionary
352ttwikibooks
353ttwikiquote
354ttwiktionary
355twwiktionary
356ugwikibooks
357ugwikiquote
358ugwiktionary
359ukwikibooks
360ukwikiquote
361ukwiktionary
362urwikibooks
363urwikiquote
364urwiktionary
365uzwikibooks
366uzwikiquote
367uzwiktionary
368viwikibooks
369viwikiquote
370viwiktionary
371vowikibooks
372vowikiquote
373vowiktionary
374wawikibooks
375wawiktionary
376wowikiquote
377wowiktionary
378xhwikibooks
379xhwiktionary
380yiwiktionary
381yowikibooks
382yowiktionary
383zawikibooks
384zawikiquote
385zawiktionary
386zh_min_nanwikibooks
387zh_min_nanwikiquote
388zh_min_nanwiktionary
389zhwikibooks
390zhwikiquote
391zhwiktionary
392zuwikibooks
393zuwiktionary
394mysql:wikiadmin@db2036.codfw.wmnet [information_schema]> exit
395krenair@terbium:~$ mysql -u wikiadmin -p`wikiadmin_pass` -h db2037.codfw.wmnet -D information_schema -s
396mysql:wikiadmin@db2037.codfw.wmnet [information_schema]> select table_schema from information_schema.tables where table_name = 'hashs';
397mysql:wikiadmin@db2037.codfw.wmnet [information_schema]> exit
398krenair@terbium:~$ mysql -u wikiadmin -p`wikiadmin_pass` -h db2038.codfw.wmnet -D information_schema -s
399mysql:wikiadmin@db2038.codfw.wmnet [information_schema]> select table_schema from information_schema.tables where table_name = 'hashs';
400mysql:wikiadmin@db2038.codfw.wmnet [information_schema]> exit
401krenair@terbium:~$ mysql -u wikiadmin -p`wikiadmin_pass` -h db2039.codfw.wmnet -D information_schema -s
402mysql:wikiadmin@db2039.codfw.wmnet [information_schema]> select table_schema from information_schema.tables where table_name = 'hashs';
403mysql:wikiadmin@db2039.codfw.wmnet [information_schema]> exit
404krenair@terbium:~$ mysql -u wikiadmin -p`wikiadmin_pass` -h db2040.codfw.wmnet -D information_schema -s
405mysql:wikiadmin@db2040.codfw.wmnet [information_schema]> select table_schema from information_schema.tables where table_name = 'hashs';
406table_schema
407frwiktionary
408mysql:wikiadmin@db2040.codfw.wmnet [information_schema]> exit

Krenair added a comment.EditedJun 10 2015, 4:55 PM

It's interesting that they're all wiktionary, wikibooks, wikiquote, wikinews, or wikisource.

jcrespo moved this task from Triage to Backlog on the DBA board.Aug 14 2015, 2:47 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 14 2015, 2:47 PM
Reedy updated the task description. (Show Details)Nov 16 2015, 2:56 PM
MZMcBride removed Springle as the assignee of this task.Nov 18 2015, 1:57 AM
MZMcBride updated the task description. (Show Details)
Marostegui closed this task as Resolved.Apr 27 2017, 6:38 AM
Marostegui claimed this task.
Marostegui added a subscriber: Marostegui.

This has been dropped from the random places where it existed (it had 0 rows everywhere):

s2:
bgwiktionary
enwikiquote
enwiktionary

s3:
aawikibooks
aawiktionary
abwiktionary
afwikibooks
afwikiquote
afwiktionary
akwikibooks
akwiktionary
alswikibooks
alswikiquote
alswiktionary
amwikiquote
amwiktionary
angwikibooks
angwikiquote
angwiktionary
anwiktionary
arwikibooks
arwikiquote
arwiktionary
astwikibooks
astwikiquote
astwiktionary
aswikibooks
aswiktionary
avwiktionary
aywikibooks
aywiktionary
azwikibooks
azwikiquote
azwiktionary
bawikibooks
bawiktionary
bewikibooks
bewikiquote
bewiktionary
bgwikibooks
bgwikiquote
bhwiktionary
biwikibooks
biwiktionary
bmwikibooks
bmwikiquote
bmwiktionary
bnwikibooks
bnwiktionary
bowikibooks
bowiktionary
brwiktionary
bswikibooks
bswikiquote
bswiktionary
cawikibooks
cawikiquote
cawiktionary
chrwiktionary
chwikibooks
chwiktionary
cowikibooks
cowikiquote
cowiktionary
crwikiquote
crwiktionary
csbwiktionary
cswikibooks
cswikiquote
cswiktionary
cvwikibooks
cywikibooks
cywikiquote
cywiktionary
dawikibooks
dawikiquote
dawiktionary
dewikibooks
dewikinews
dewikiquote
dewiktionary
dkwikibooks
dkwiktionary
dvwiktionary
dzwiktionary
elwikibooks
elwikiquote
elwiktionary
enwikibooks
enwikinews
eowikibooks
eowikiquote
eowiktionary
eswikibooks
eswikiquote
eswiktionary
etwikibooks
etwikiquote
etwiktionary
euwikibooks
euwikiquote
euwiktionary
fawikibooks
fawikiquote
fawiktionary
fiwikibooks
fiwikiquote
fiwiktionary
fjwiktionary
fowiktionary
frwikibooks
frwikiquote
fywikibooks
fywiktionary
gawikibooks
gawikiquote
gawiktionary
gdwiktionary
glwikibooks
glwikiquote
glwiktionary
gnwikibooks
gnwiktionary
gotwikibooks
guwikibooks
guwikiquote
guwiktionary
gvwiktionary
hawiktionary
hewikibooks
hewikiquote
hewikisource
hewiktionary
hiwikibooks
hiwikiquote
hiwiktionary
hrwikibooks
hrwikiquote
hrwiktionary
huwikibooks
huwikiquote
huwiktionary
hywikibooks
hywikiquote
hywiktionary
iawikibooks
iawiktionary
idwikibooks
idwikiquote
idwiktionary
iewikibooks
iewiktionary
ikwiktionary
iowiktionary
iswikibooks
iswikiquote
iswiktionary
itwikibooks
itwikiquote
itwiktionary
iuwiktionary
jawikibooks
jawikiquote
jawiktionary
jbowiktionary
jvwiktionary
kawikibooks
kawikiquote
kawiktionary
kkwikibooks
kkwikiquote
kkwiktionary
klwiktionary
kmwikibooks
kmwiktionary
knwikibooks
knwikiquote
knwiktionary
kowikibooks
kowikiquote
kowiktionary
krwikiquote
kswikibooks
kswikiquote
kswiktionary
kuwikibooks
kuwikiquote
kuwiktionary
kwwikiquote
kwwiktionary
kywikibooks
kywikiquote
kywiktionary
lawikibooks
lawikiquote
lawiktionary
lbwikibooks
lbwikiquote
lbwiktionary
liwiktionary
lnwikibooks
lnwiktionary
lowiktionary
ltwikibooks
ltwikiquote
ltwiktionary
lvwikibooks
lvwiktionary
mgwikibooks
mgwiktionary
mhwiktionary
miwikibooks
miwiktionary
mkwikibooks
mkwiktionary
mlwikibooks
mlwikiquote
mlwiktionary
mnwikibooks
mnwiktionary
mowiktionary
mrwikibooks
mrwikiquote
mrwiktionary
mswikibooks
mswiktionary
mtwiktionary
mywikibooks
mywiktionary
nahwikibooks
nahwiktionary
nawikibooks
nawikiquote
nawiktionary
ndswikibooks
ndswikiquote
ndswiktionary
newikibooks
newiktionary
nlwikibooks
nlwikiquote
nlwiktionary
nnwikiquote
nnwiktionary
nowikibooks
nowikiquote
nowiktionary
ocwikibooks
ocwiktionary
omwiktionary
orwiktionary
pawikibooks
pawiktionary
piwiktionary
plwikibooks
plwikiquote
plwiktionary
pswikibooks
pswiktionary
ptwikibooks
ptwikiquote
ptwiktionary
quwikibooks
quwikiquote
quwiktionary
rmwikibooks
rmwiktionary
rnwiktionary
roa_rupwiktionary
rowikibooks
rowikiquote
rowiktionary
ruwikibooks
ruwikiquote
ruwiktionary
rwwiktionary
sawikibooks
sawiktionary
scnwiktionary
scwiktionary
sdwiktionary
sewikibooks
sgwiktionary
shwiktionary
simplewikibooks
simplewikiquote
simplewiktionary
siwikibooks
siwiktionary
skwikibooks
skwikiquote
skwiktionary
slwikibooks
slwikiquote
slwiktionary
smwiktionary
snwiktionary
sowiktionary
sqwikibooks
sqwikiquote
sqwiktionary
srwikibooks
srwikiquote
srwiktionary
sswiktionary
stwiktionary
suwikibooks
suwikiquote
suwiktionary
svwikibooks
svwikiquote
svwiktionary
swwikibooks
swwiktionary
tawikibooks
tawikiquote
tawiktionary
tewikibooks
tewikiquote
tewiktionary
tgwiktionary
thwikibooks
thwikiquote
thwiktionary
tiwiktionary
tkwikibooks
tkwikiquote
tkwiktionary
tlhwiktionary
tlwikibooks
tlwiktionary
tnwiktionary
tokiponawikibooks
tokiponawikiquote
tokiponawiktionary
towiktionary
tpiwiktionary
trwikibooks
trwikiquote
trwiktionary
tswiktionary
ttwikibooks
ttwikiquote
ttwiktionary
twwiktionary
ugwikibooks
ugwikiquote
ugwiktionary
ukwikibooks
ukwikiquote
ukwiktionary
urwikibooks
urwikiquote
urwiktionary
uzwikibooks
uzwikiquote
uzwiktionary
viwikibooks
viwikiquote
viwiktionary
vowikibooks
vowikiquote
vowiktionary
wawikibooks
wawiktionary
wowikiquote
wowiktionary
xhwikibooks
xhwiktionary
yiwiktionary
yowikibooks
yowiktionary
zawikibooks
zawikiquote
zawiktionary
zh_min_nanwikibooks
zh_min_nanwikiquote
zh_min_nanwiktionary
zhwikibooks
zhwikiquote
zhwiktionary
zuwikibooks
zuwiktionary

s7:
frwiktionary

For the record, the table schema was:

CREATE TABLE `hashs` (
  `hs_nstitle` varbinary(48) DEFAULT NULL,
  `hs_timestamp` varbinary(14) DEFAULT NULL,
  `hs_old_id` int(8) unsigned DEFAULT NULL,
  `hs_hash` varbinary(48) DEFAULT NULL,
  `hs_user_text` varbinary(255) DEFAULT NULL,
  KEY `hs_nstitle` (`hs_nstitle`,`hs_timestamp`,`hs_hash`),
  KEY `hs_timestamp` (`hs_timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=binary

Mentioned in SAL (#wikimedia-operations) [2017-04-27T06:39:40Z] <marostegui> Logging for the record: drop table hashs from s2, s3 and s7 (only places where it existed) - T54927